local jkCiderProduction = ...

jkCiderProduction:register({
	DataType = "BUILDING",
	Id = MOD_NS .. "CIDER_BREWERY",
	Name = MOD_NS .. "CIDER_BREWERY_NAME",
	Description = MOD_NS .. "CIDER_BREWERY_DESC",
	BuildingType = BUILDING_TYPE.MONUMENT,
	AssetCoreBuildingPart = MOD_NS .. "ROOT_PART",
	BuildingPartSetList = {
		{
			Name = "BREWERY",
			BuildingPartList = {
				MOD_NS .. "HUT_PART",
				MOD_NS .. "SMALL_APPLE_PRESS_PART",
				MOD_NS .. "BIG_APPLE_PRESS_PART"
			}
		},
		{
			Name = "GROWER",
			BuildingPartList = {
				MOD_NS .. "CABIN_PART"
			}
		},
		{
			Name = "STORAGES",
			BuildingPartList = {
				MOD_NS .. "STORAGE_PART",
				MOD_NS .. "STORAGE_B_PART"
			}
		}, {
			Name = "DECORATIONS",
			BuildingPartList = {
				MOD_NS .. "APPLES_PILE_PART", MOD_NS .. "PLATFORM_PART", MOD_NS .. "FULL_BUCKET_PART" , MOD_NS .. "EMPTY_BUCKET_PART", MOD_NS .. "EMPTY_BUCKET_2_PART"
			}
		}
	},
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})